## debconf-kde 0.1+git20110702

=== CMakeLists.txt ===
project(libdebconf-kde)

cmake_minimum_required(VERSION 2.6.0)

set(DEBCONF_VERSION 0.1.0)

set(DEBCONF_LIB_SOVERSION 0)
set(DEBCONF_LIB_VERSION ${DEBCONF_LIB_SOVERSION}.1.0)

find_package(KDE4 REQUIRED)

include(KDE4Defaults)

add_definitions(
    ${KDE_DEFINITIONS}
)

add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )


include_directories(
    ${KDE4_INCLUDES}
    ${CMAKE_CURRENT_SOURCE_DIR}/src
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
)

add_subdirectory(cmake)
add_subdirectory(src)
add_subdirectory(tools)

=== tools/CMakeLists.txt ===
kde4_add_executable(debconf-kde-helper main.cpp)
target_link_libraries(debconf-kde-helper
    debconf-kde ${KDE4_KDEUI_LIBS} ${KDE4_KDECORE_LIBS} ${QT_QTCORE_LIBRARY}
)

install(TARGETS debconf-kde-helper ${INSTALL_TARGETS_DEFAULT_ARGS})

## debconf-kde 0.1+git20101228

=== debian/changelog ===
debconf-kde (0.1+git20101228-0ubuntu1) natty; urgency=low

  * New upstream snapshot
  * Repackaged from scratch
  * Added get-orig-source rule to fetch sources from
    upstream Git repo
  * Packaged debconf-kde-helper tool

 -- Matthias Klumpp <matthias@nlinux.org>  Tue, 07 Dec 2010 20:59:03 +0100

debconf-kde (0.1~svn1167939-0ubuntu4) natty; urgency=low

  * Add ${QT_QTCORE_LIBRARY} and ${KDE4_KDEUI_LIBS} to link targets in tools/
    CMakeLists.txt to fix FTBFS in rebuild test due to indirect linking
    - Thanks to Jonathan Thomas for the fix

 -- Scott Kitterman <scott@kitterman.com>  Wed, 22 Dec 2010 11:50:18 -0500

debconf-kde (0.1~svn1167939-0ubuntu3) maverick; urgency=low

  * Fix dep5 formatting of debian/copyright (LP: #639726)
  * Add missing symbol to libdebconf-kde0.symbols
  * Remove -0ubuntu* suffixes from symbols, since we do not modify any methods
    making all symbols come from upstream
  * Fix typo in the svn url (kdereviewe -> kdereview) for the
    fetch_translations target in debian/rules
  * Fetch latest translations as of debian/changelog timestamp

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 16 Sep 2010 13:17:41 -0400

debconf-kde (0.1~svn1167939-0ubuntu2) maverick; urgency=low

  * Add kubuntu_01_delete_debconf_socket.diff from upstream svn, delete
    debconf sockets after use

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 25 Aug 2010 23:52:41 +0100

debconf-kde (0.1~svn1167939-0ubuntu1) maverick; urgency=low

  * New upstream snapshot
  * Add rule to fetch translations

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 25 Aug 2010 19:40:11 +0100

debconf-kde (0.1~svn1160112-0ubuntu2) maverick; urgency=low

  * Add a symbols file for libdebconf-kde0

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 17 Aug 2010 09:59:36 -0400

debconf-kde (0.1~svn1160112-0ubuntu1) maverick; urgency=low

  * Initial release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 04 Aug 2010 10:13:13 -0500

=== debian/control ===
Source: debconf-kde
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthias Klumpp <matthias@nlinux.org>
Build-Depends: debhelper (>= 8),
               pkg-kde-tools (>= 0.5.0),
               cmake,
               kdelibs5-dev
Standards-Version: 3.9.1

Package: libdebconf-kde0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Debconf KDE GUI library
 Debconf KDE is a GUI library for including Debconf frontends in Qt-based
 applications.
 Debconf is a configuration management system for debian packages, which
 is used to ask questions when they are installed.
 This library is written in C++ and used by KPackageKit and Muon to
 embed Debconf dialogs.
 .
 This package contains the Debconf KDE library

Package: libdebconf-kde-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libdebconf-kde0 (= ${binary:Version})
Description: Development headers for the Debconf KDE library
 Debconf KDE is a GUI library for including Debconf frontends in Qt-based
 applications.
 Debconf is a configuration management system for debian packages, which
 is used to ask questions when they are installed.
 This library is written in C++ and used by KPackageKit and Muon to
 embed Debconf dialogs.
 .
 This package contains the development headers for the Debconf KDE library

Package: debconf-kde-helper
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Debconf KDE GUI frontend tool
 Debconf KDE is a GUI library for including Debconf frontends in Qt-based
 applications.
 Debconf is a configuration management system for debian packages, which
 is used to ask questions when they are installed.
 This library is written in C++ and used by KPackageKit and Muon to
 embed Debconf dialogs.
 .
 This package contains a small standalone tool to display a KDE Debconf
 dialog without linking against the Debconf KDE library.

Package: debconf-kde-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, libdebconf-kde0 (= ${binary:Version})
Recommends: kdelibs5-dbg
Conflicts: libdebconf-kde-dbg
Replaces: libdebconf-kde-dbg
Description: Debconf KDE debugging symbols
 Debconf KDE is a GUI library for including Debconf frontends in Qt-based
 applications.
 Debconf is a configuration management system for debian packages, which
 is used to ask questions when they are installed.
 This library is written in C++ and used by KPackageKit and Muon to
 embed Debconf dialogs.
 .
 This package contains debugging symbols for Debconf KDE.
 When Debconf KDE crashes, in most cases this package is
 needed to get a backtrace that is useful for developers. If you have
 experienced a Debconf KDE crash without this package
 installed, please install it, try to reproduce the problem and fill a bug
 report with a new backtrace attached.

=== debian/rules ===
#!/usr/bin/make -f

export DH_ALWAYS_EXCLUDE = .git:.svn

# Stuff for get-orig-source.
# Getting the revision numbers according to debian/changelog, the HARD way.
upstream_version := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p')
isodate := $(shell dpkg-parsechangelog | sed -ne 's/^Version.*git\(.*\)-.*/\1/p')
unixdate := $(shell date -d $(isodate) +%s)
# Add 24 hours to the Unix time.
unixdate := $(shell expr $(unixdate) + 86400 )

%:
	dh $@ --with kde --dbg-package=debconf-kde-dbg

get-orig-source:
	# Cleaning up
	rm -rf debconf-kde-$(upstream_version)
	rm -f ../debconf-kde_$(upstream_version).orig.tar.gz

	# Download the latest Git revision and downgrade it to $(isodate).
	git clone git://git.kde.org/libdebconf-kde debconf-kde-$(upstream_version)
	cd debconf-kde-$(upstream_version) && git reset --hard $(shell git rev-list --all -n 1 --before=$(unixdate))

	# Fetch translations from KDE SVN
	mkdir -p debconf-kde-$(upstream_version)/po
	cd debconf-kde-$(upstream_version)/po; svn export svn://anonsvn.kde.org/home/kde/trunk/l10n-kde4/subdirs
	cd debconf-kde-$(upstream_version)/po; for asdf in `cat subdirs`; do mkdir -p $${asdf}; done
	cd debconf-kde-$(upstream_version)/po; for asdf in `cat subdirs`; do echo $${asdf}; cd $${asdf}; svn export svn://anonsvn.kde.org/home/kde/trunk/l10n-kde4/$${asdf}/messages/kdereview/libdebconf-kde.po; cd ..; done
	cd debconf-kde-$(upstream_version)/po; rm subdirs; rmdir --ignore-fail-on-non-empty */
	cd debconf-kde-$(upstream_version) && git add ./po && git commit -m "Included translations"

	# Make a pristine package.
	cd debconf-kde-$(upstream_version) && git archive --format=tar --prefix=debconf-kde-$(upstream_version)/ master | gzip -9 --no-name > \
		../../origtar/debconf-kde_$(upstream_version).orig.tar.gz
	# Remove temporary workspace
	rm -rf debconf-kde-$(upstream_version)

## debconf-kde 0.1+git20110702

=== debian/changelog ===
debconf-kde (0.1+git20110702-1) unstable; urgency=low

  * Transfer package to pkg-kde-extras team
  * Update to new Git revision, which contains
     lots of improvements.
  * Fixed get-orig-source rule
  * Updated package description
  * Added Vcs-* fields

 -- Matthias Klumpp <matthias@nlinux.org>  Sat, 02 Jul 2011 19:40:26 +0200

debconf-kde (0.1+git20101228-1) unstable; urgency=low

  * Initial release (Closes: #606251)

 -- Matthias Klumpp <matthias@nlinux.org>  Sat, 11 Jun 2011 22:15:11 +0200

=== debian/control ===
Source: debconf-kde
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Matthias Klumpp <matthias@nlinux.org>
Build-Depends: debhelper (>= 8),
               pkg-kde-tools (>= 0.5.0),
               cmake,
               kdelibs5-dev
Standards-Version: 3.9.2
Homepage: http://projects.kde.org/projects/extragear/sysadmin/libdebconf-kde
Vcs-Git: git://git.debian.org/git/pkg-kde/kde-extras/debconf-kde.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/debconf-kde.git

Package: libdebconf-kde0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Debconf KDE GUI library
 Debconf KDE is a GUI library for including Debconf frontends in Qt-based
 applications.
 Debconf is a configuration management system for Debian packages, which
 is used to ask questions when they are installed.
 This library is written in C++ and used by Apper and Muon to
 embed Debconf dialogs.
 .
 This package contains the Debconf KDE library

Package: libdebconf-kde-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libdebconf-kde0 (= ${binary:Version})
Description: Development headers for the Debconf KDE library
 Debconf KDE is a GUI library for including Debconf frontends in Qt-based
 applications.
 Debconf is a configuration management system for Debian packages, which
 is used to ask questions when they are installed.
 This library is written in C++ and used by Apper and Muon to
 embed Debconf dialogs.
 .
 This package contains the development headers for the Debconf KDE library

Package: debconf-kde-helper
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Debconf KDE GUI frontend tool
 Debconf KDE is a GUI library for including Debconf frontends in Qt-based
 applications.
 Debconf is a configuration management system for Debian packages, which
 is used to ask questions when they are installed.
 This library is written in C++ and used by Apper and Muon to
 embed Debconf dialogs.
 .
 This package contains a small standalone tool to display a KDE Debconf
 dialog without linking against the Debconf KDE library.

Package: debconf-kde-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, libdebconf-kde0 (= ${binary:Version})
Recommends: kdelibs5-dbg
Conflicts: libdebconf-kde-dbg
Replaces: libdebconf-kde-dbg
Description: Debconf KDE debugging symbols
 Debconf KDE is a GUI library for including Debconf frontends in Qt-based
 applications.
 Debconf is a configuration management system for Debian packages, which
 is used to ask questions when they are installed.
 This library is written in C++ and used by Apper and Muon to
 embed Debconf dialogs.
 .
 This package contains debugging symbols for Debconf KDE.
 When Debconf KDE crashes, in most cases this package is
 needed to get a backtrace that is useful for developers. If you have
 experienced a Debconf KDE crash without this package
 installed, please install it, try to reproduce the problem and fill a bug
 report with a new backtrace attached.

=== debian/rules ===
#!/usr/bin/make -f

export DH_ALWAYS_EXCLUDE = .git:.svn

# Stuff for get-orig-source.
# Getting the revision numbers according to debian/changelog, the HARD way.
upstream_version := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p')
isodate := $(shell dpkg-parsechangelog | sed -ne 's/^Version.*git\(.*\)-.*/\1/p')
unixdate := $(shell date -d $(isodate) +%s)
# Add 24 hours to the Unix time.
unixdate := $(shell expr $(unixdate) + 86400 )

%:
	dh $@ --parallel --with kde --dbg-package=debconf-kde-dbg

override_dh_install:
	dh_install --list-missing

get-orig-source:
	# Cleaning up
	rm -rf debconf-kde-$(upstream_version)
	rm -f ../debconf-kde_$(upstream_version).orig.tar.gz

	# Download the latest Git revision and downgrade it to $(isodate).
	git clone git://anongit.kde.org/libdebconf-kde debconf-kde-$(upstream_version)
	cd debconf-kde-$(upstream_version) && git reset --hard $(shell cd debconf-kde-$(upstream_version) && \
									git rev-list --all -n 1 --before=$(unixdate))

	# Fetch translations from KDE SVN
	mkdir -p debconf-kde-$(upstream_version)/po
	cd debconf-kde-$(upstream_version)/po; svn export svn://anonsvn.kde.org/home/kde/trunk/l10n-kde4/subdirs
	cd debconf-kde-$(upstream_version)/po; for asdf in `cat subdirs`; do mkdir -p $${asdf}; done
	cd debconf-kde-$(upstream_version)/po; for asdf in `cat subdirs`; do echo $${asdf}; cd $${asdf}; svn export svn://anonsvn.kde.org/home/kde/trunk/l10n-kde4/$${asdf}/messages/extragear-sysadmin/libdebconf-kde.po; cd ..; done
	cd debconf-kde-$(upstream_version)/po; rm subdirs; rmdir --ignore-fail-on-non-empty */
	cd debconf-kde-$(upstream_version) && git add ./po && git commit -m "Included translations"

	# Make a pristine package.
	mkdir -p ../origtar/
	cd debconf-kde-$(upstream_version) && git archive --format=tar --prefix=debconf-kde-$(upstream_version)/ master | gzip -9 --no-name > \
		../../origtar/debconf-kde_$(upstream_version).orig.tar.gz
	# Remove temporary workspace
	rm -rf debconf-kde-$(upstream_version)

## debconf-kde 0.2

=== debian/changelog ===
debconf-kde (0.2-2) unstable; urgency=low

  * Fixed symbols file
  * Updated debian/copyright

 -- Matthias Klumpp <matthias@tenstral.net>  Wed, 04 Apr 2012 08:42:09 +0200

debconf-kde (0.2-1) unstable; urgency=low

  * New upstream release: 0.2
  * Bump standards version to 3.9.3
  * Updated symbols file
  * Allow DM upload
  * Switch to compat-level 9

 -- Matthias Klumpp <matthias@tenstral.net>  Tue, 03 Apr 2012 16:51:10 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: kde
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Matthias Klumpp <matthias@nlinux.org>
-Build-Depends: debhelper (>= 8),
-               pkg-kde-tools (>= 0.5.0),
-               cmake,
-               kdelibs5-dev
-Standards-Version: 3.9.2
+Uploaders: Matthias Klumpp <matthias@tenstral.net>
+DM-Upload-Allowed: yes
+Build-Depends: cmake,
+               debhelper (>= 9),
+               kdelibs5-dev,
+               pkg-kde-tools (>= 0.5.0)
+Standards-Version: 3.9.3
 Homepage: http://projects.kde.org/projects/extragear/sysadmin/libdebconf-kde
 Vcs-Git: git://git.debian.org/git/pkg-kde/kde-extras/debconf-kde.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/debconf-kde.git
@@ -15,7 +16,8 @@
 Package: libdebconf-kde0
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: Debconf KDE GUI library
  Debconf KDE is a GUI library for including Debconf frontends in Qt-based
  applications.
@@ -29,7 +31,8 @@
 Package: libdebconf-kde-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libdebconf-kde0 (= ${binary:Version})
+Depends: libdebconf-kde0 (= ${binary:Version}),
+         ${misc:Depends}
 Description: Development headers for the Debconf KDE library
  Debconf KDE is a GUI library for including Debconf frontends in Qt-based
  applications.
@@ -42,7 +45,8 @@
 
 Package: debconf-kde-helper
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: Debconf KDE GUI frontend tool
  Debconf KDE is a GUI library for including Debconf frontends in Qt-based
  applications.
@@ -58,7 +62,8 @@
 Section: debug
 Architecture: any
 Priority: extra
-Depends: ${misc:Depends}, libdebconf-kde0 (= ${binary:Version})
+Depends: libdebconf-kde0 (= ${binary:Version}),
+         ${misc:Depends}
 Recommends: kdelibs5-dbg
 Conflicts: libdebconf-kde-dbg
 Replaces: libdebconf-kde-dbg

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-export DH_ALWAYS_EXCLUDE = .git:.svn
+export DH_ALWAYS_EXCLUDE = .git
 
 # Stuff for get-orig-source.
 # Getting the revision numbers according to debian/changelog, the HARD way.

## debconf-kde 0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,10 +2,8 @@
 
 cmake_minimum_required(VERSION 2.6.0)
 
-set(DEBCONF_VERSION 0.1.0)
-
 set(DEBCONF_LIB_SOVERSION 0)
-set(DEBCONF_LIB_VERSION ${DEBCONF_LIB_SOVERSION}.1.0)
+set(DEBCONF_LIB_VERSION ${DEBCONF_LIB_SOVERSION}.3.0)
 
 find_package(KDE4 REQUIRED)
 
@@ -29,3 +27,6 @@
 add_subdirectory(cmake)
 add_subdirectory(src)
 add_subdirectory(tools)
+
+include(MacroOptionalAddSubdirectory)
+macro_optional_add_subdirectory( po )

=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(hu)
add_subdirectory(fi)
add_subdirectory(ro)
add_subdirectory(ja)
add_subdirectory(zh_CN)
add_subdirectory(sv)
add_subdirectory(zh_TW)
add_subdirectory(nl)
add_subdirectory(nb)
add_subdirectory(lt)
add_subdirectory(gl)
add_subdirectory(bs)
add_subdirectory(et)
add_subdirectory(ug)
add_subdirectory(ca@valencia)
add_subdirectory(tr)
add_subdirectory(cs)
add_subdirectory(pt)
add_subdirectory(da)
add_subdirectory(ca)
add_subdirectory(sl)
add_subdirectory(fr)
add_subdirectory(mr)
add_subdirectory(nds)
add_subdirectory(de)
add_subdirectory(pt_BR)
add_subdirectory(eu)
add_subdirectory(en_GB)
add_subdirectory(es)
add_subdirectory(sk)
add_subdirectory(pl)
add_subdirectory(uk)
add_subdirectory(el)
add_subdirectory(ru)
add_subdirectory(th)
add_subdirectory(ga)

=== src/CMakeLists.txt ===
set(libdebconf_SRCS
    debconf.cpp
    DebconfElement.cpp
    DebconfBoolean.cpp
    DebconfError.cpp
    DebconfMultiselect.cpp
    DebconfNote.cpp
    DebconfPassword.cpp
    DebconfProgress.cpp
    DebconfSelect.cpp
    DebconfString.cpp
    DebconfText.cpp
    DebconfGui.cpp
)

kde4_add_ui_files(libdebconf_SRCS
    DebconfBoolean.ui
    DebconfError.ui
    DebconfMultiselect.ui
    DebconfNote.ui
    DebconfPassword.ui
    DebconfProgress.ui
    DebconfSelect.ui
    DebconfString.ui
    DebconfText.ui
    DebconfGui.ui
)

kde4_add_library(debconf-kde SHARED ${libdebconf_SRCS})
target_link_libraries(debconf-kde
    ${QT_QTCORE_LIBRARY}
    ${QT_QTNETWORK_LIBRARY}
    ${KDE4_KDEUI_LIBS}
)

set_target_properties(debconf-kde PROPERTIES
                      VERSION ${DEBCONF_LIB_VERSION}
                      SOVERSION ${DEBCONF_LIB_SOVERSION}
)

install(TARGETS debconf-kde ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES DebconfGui.h
    DESTINATION ${INCLUDE_INSTALL_DIR})

=== cmake/modules/CMakeLists.txt ===
install(FILES DebconfKDEConfig.cmake
        DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/cmake/DebconfKDE
        COMPONENT Devel)

=== debian/changelog ===
debconf-kde (0.3-1) unstable; urgency=low

  * New upstream release: 0.3
  * Change mail to my Debian address
  * Bump standards version
  * Add watch file
  * Compile with pkgkde_symbolshelper
  * Use canonical Git url

 -- Matthias Klumpp <mak@debian.org>  Tue, 16 Jul 2013 18:24:06 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,14 @@
 Section: kde
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Matthias Klumpp <matthias@tenstral.net>
-DM-Upload-Allowed: yes
+Uploaders: Matthias Klumpp <mak@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
                kdelibs5-dev,
                pkg-kde-tools (>= 0.5.0)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://projects.kde.org/projects/extragear/sysadmin/libdebconf-kde
-Vcs-Git: git://git.debian.org/git/pkg-kde/kde-extras/debconf-kde.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/debconf-kde.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/debconf-kde.git
 
 Package: libdebconf-kde0

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

#export DH_VERBOSE=1

%:
	dh $@ --parallel --with kde --with pkgkde_symbolshelper --dbg-package=debconf-kde-dbg

override_dh_install:
	dh_install --list-missing

=== debian/watch ===
version=3

opts=pasv \
  ftp://ftp.kde.org/pub/kde/stable/libdebconf-kde/([\d\.]+)/src/libdebconf-kde-([\d\.]+)\.tar\.bz2 \
  debian git-import-orig

## debconf-kde 1.0.1

=== CMakeLists.txt ===
project(libdebconf-kde)

set(PROJECT_VERSION_MAJOR 1)
set(PROJECT_VERSION_MINOR 0)
set(PROJECT_VERSION_PATCH 0)
set(PROJECT_VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}" )

cmake_minimum_required(VERSION 2.8.12)

find_package(ECM 0.0.14 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH
    ${ECM_MODULE_PATH}
    ${ECM_KDE_MODULE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)

set(REQUIRED_QT_VERSION 5.2.0) # Used in CMakeConfig to check deps
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED
    COMPONENTS
        Widgets
        Network
)

find_package(KF5 5.0.0 REQUIRED
    COMPONENTS
        CoreAddons
        I18n
        IconThemes
        TextWidgets
        WidgetsAddons
)

if(ECM_VERSION VERSION_GREATER 1.5.0)
    # >1.5 has an optional compatibility option for the package version file.
    # TODO: bump dep and remove this check once 1.7 is out.
    set(VERSION_COMPAT_OPTION COMPATIBILITY SameMajorVersion)
endif()
ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX DEBCONF
    SOVERSION ${PROJECT_VERSION_MAJOR}
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/DebconfVersion.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/DebconfKDEConfigVersion.cmake"
        ${VERSION_COMPAT_OPTION}
)

add_definitions(-DPROJECT_VERSION=\"${PROJECT_VERSION}\")
add_definitions(-DQT_NO_CAST_FROM_ASCII)
add_definitions(-DQT_NO_CAST_TO_ASCII)

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/src
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/DebconfKDE")

ecm_configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/DebconfKDEConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/DebconfKDEConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR})

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/DebconfKDEConfig.cmake"
              "${CMAKE_CURRENT_BINARY_DIR}/DebconfKDEConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel)
install(EXPORT DebconfKDETargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE DebconfKDETargets.cmake
        NAMESPACE DebconfKDE::)

add_subdirectory(src)
add_subdirectory(tools)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== debian/changelog ===
debconf-kde (1.0.1-0ubuntu2) vivid; urgency=medium

  * debconf-kde-data now replaces and breaks older versions of the lib
    + as up to the sobump for version 1 the library
      package also had translation data.

 -- Harald Sitter <sitter@kde.org>  Mon, 16 Feb 2015 08:31:16 +0100

debconf-kde (1.0.1-0ubuntu1) vivid; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Build depend on pkg-kde-tools to (>> 0.15.15) so we make sure we are
    building against a pkg-kde-tools which provides the kde frameworks 
    module.
  * Add debconf-kde-data package to provide architecture independent data (at
    the moment, the translations).

  [ Harald Sitter ]
  * New upstream release (LP: #1420291)
  * Update standards version to latest (3.9.6)

 -- Harald Sitter <sitter@kde.org>  Thu, 12 Feb 2015 08:29:01 +0100

debconf-kde (1.0.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * KDE Frameworks 5 Port

 -- Harald Sitter <sitter@kde.org>  Mon, 22 Dec 2014 12:39:02 +0100

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,24 @@
 Uploaders: Matthias Klumpp <mak@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kdelibs5-dev,
-               pkg-kde-tools (>= 0.5.0)
-Standards-Version: 3.9.4
+               extra-cmake-modules,
+               libkf5coreaddons-dev,
+               libkf5i18n-dev,
+               libkf5iconthemes-dev,
+               libkf5textwidgets-dev,
+               libkf5widgetsaddons-dev,
+               pkg-kde-tools (>> 0.15.15)
+Standards-Version: 3.9.6
 Homepage: http://projects.kde.org/projects/extragear/sysadmin/libdebconf-kde
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/debconf-kde.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/debconf-kde.git
 
-Package: libdebconf-kde0
+Package: libdebconf-kde1
 Section: libs
 Architecture: any
-Depends: ${misc:Depends},
+Multi-Arch: same
+Depends: debconf-kde-data (= ${source:Version}),
+         ${misc:Depends},
          ${shlibs:Depends}
 Description: Debconf KDE GUI library
  Debconf KDE is a GUI library for including Debconf frontends in Qt-based
@@ -30,8 +37,7 @@
 Package: libdebconf-kde-dev
 Section: libdevel
 Architecture: any
-Depends: libdebconf-kde0 (= ${binary:Version}),
-         ${misc:Depends}
+Depends: libdebconf-kde1 (= ${binary:Version}), ${misc:Depends}
 Description: Development headers for the Debconf KDE library
  Debconf KDE is a GUI library for including Debconf frontends in Qt-based
  applications.
@@ -44,8 +50,7 @@
 
 Package: debconf-kde-helper
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Debconf KDE GUI frontend tool
  Debconf KDE is a GUI library for including Debconf frontends in Qt-based
  applications.
@@ -57,13 +62,27 @@
  This package contains a small standalone tool to display a KDE Debconf
  dialog without linking against the Debconf KDE library.
 
+Package: debconf-kde-data
+Architecture: all
+Depends: ${misc:Depends}
+Breaks: libdebconf-kde0 (<< 1.0.0)
+Replaces: libdebconf-kde0 (<< 1.0.0)
+Description: Debconf KDE data files
+ Debconf KDE is a GUI library for including Debconf frontends in Qt-based
+ applications.
+ Debconf is a configuration management system for Debian packages, which
+ is used to ask questions when they are installed.
+ This library is written in C++ and used by Apper and Muon to
+ embed Debconf dialogs.
+ .
+ This package contains the data files needed by the Debconf KDE library
+
 Package: debconf-kde-dbg
 Section: debug
 Architecture: any
 Priority: extra
-Depends: libdebconf-kde0 (= ${binary:Version}),
-         ${misc:Depends}
-Recommends: kdelibs5-dbg
+Multi-Arch: foreign
+Depends: libdebconf-kde1 (= ${binary:Version}), ${misc:Depends}
 Conflicts: libdebconf-kde-dbg
 Replaces: libdebconf-kde-dbg
 Description: Debconf KDE debugging symbols

=== debian/watch ===
version=3
http://download.kde.org/stable/libdebconf-kde/([\d\.]+)/src/libdebconf-kde-(.*)\.tar\.xz

## debconf-kde 1.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 set(PROJECT_VERSION_MAJOR 1)
 set(PROJECT_VERSION_MINOR 0)
-set(PROJECT_VERSION_PATCH 0)
+set(PROJECT_VERSION_PATCH 2)
 set(PROJECT_VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}" )
 
 cmake_minimum_required(VERSION 2.8.12)

=== src/CMakeLists.txt ===
set(libdebconf_SRCS
    debconf.cpp
    DebconfElement.cpp
    DebconfBoolean.cpp
    DebconfError.cpp
    DebconfMultiselect.cpp
    DebconfNote.cpp
    DebconfPassword.cpp
    DebconfProgress.cpp
    DebconfSelect.cpp
    DebconfString.cpp
    DebconfText.cpp
    DebconfGui.cpp
    Debug.cpp)

ki18n_wrap_ui(libdebconf_SRCS
    DebconfBoolean.ui
    DebconfError.ui
    DebconfMultiselect.ui
    DebconfNote.ui
    DebconfPassword.ui
    DebconfProgress.ui
    DebconfSelect.ui
    DebconfString.ui
    DebconfText.ui
    DebconfGui.ui)

add_definitions(-DTRANSLATION_DOMAIN=\"libdebconf-kde\")
add_library(debconf-kde SHARED ${libdebconf_SRCS})
add_library(DebconfKDE::Main ALIAS debconf-kde)
target_link_libraries(debconf-kde
    PUBLIC
        Qt5::Widgets
    PRIVATE
        Qt5::Network
        KF5::I18n
        KF5::IconThemes
        KF5::TextWidgets
        KF5::WidgetsAddons
)

target_include_directories(debconf-kde INTERFACE "$<INSTALL_INTERFACE:${INCLUDE_INSTALL_DIR}/DebconfKDE>")

set_target_properties(debconf-kde
    PROPERTIES
        VERSION ${DEBCONF_VERSION_STRING}
        SOVERSION ${DEBCONF_SOVERSION}
        EXPORT_NAME Main)

install(TARGETS debconf-kde EXPORT DebconfKDETargets ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES DebconfGui.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/DebconfKDE)

=== debian/changelog ===
debconf-kde (1.0.2-0ubuntu1) wily; urgency=medium

  * New upstream bugfix release.
  * Drop all patches; upstreamed.

 -- Harald Sitter <sitter@kde.org>  Wed, 23 Sep 2015 12:59:33 +0200

debconf-kde (1.0.1-3ubuntu1) wily; urgency=medium

  * Add upstream_fix-dependency-lookup.patch to make sure cmake dependees of
    the library actually get the correct rdeps found automatically
  * Update -dev depends to add up

 -- Harald Sitter <sitter@kde.org>  Tue, 08 Sep 2015 21:27:59 +0200

debconf-kde (1.0.1-3) unstable; urgency=medium

  * Add missing Breaks/Replaces. (Closes: #791853)

 -- Maximiliano Curia <maxy@debian.org>  Thu, 09 Jul 2015 11:53:21 +0200

debconf-kde (1.0.1-2) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 30 Jun 2015 11:06:52 +0200

debconf-kde (1.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update copyright information.
  * Update watch file.
  * Follow soversion bump (libdebconf-kde1), split -data pkg.
  * Add basic autopkgtests support.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 14 Feb 2015 00:00:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,21 @@
 Source: debconf-kde
 Section: kde
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Matthias Klumpp <mak@debian.org>
-Build-Depends: cmake,
+Maintainer: Debian/Kubuntu KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Uploaders: Matthias Klumpp <mak@debian.org>,
+           Maximiliano Curia <maxy@debian.org>
+Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules,
-               libkf5coreaddons-dev,
-               libkf5i18n-dev,
-               libkf5iconthemes-dev,
-               libkf5textwidgets-dev,
-               libkf5widgetsaddons-dev,
-               pkg-kde-tools (>> 0.15.15)
+               extra-cmake-modules (>= 1.5.0),
+               libkf5coreaddons-dev (>= 5.0.0),
+               libkf5i18n-dev (>= 5.0.0),
+               libkf5iconthemes-dev (>= 5.0.0),
+               libkf5textwidgets-dev (>= 5.0.0),
+               libkf5widgetsaddons-dev (>= 5.0.0),
+               pkg-kde-tools (>= 0.15.16),
+               qtbase5-dev (>= 5.2.0)
 Standards-Version: 3.9.6
+XS-Testsuite: autopkgtest
 Homepage: http://projects.kde.org/projects/extragear/sysadmin/libdebconf-kde
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/debconf-kde.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/debconf-kde.git
@@ -37,7 +40,14 @@
 Package: libdebconf-kde-dev
 Section: libdevel
 Architecture: any
-Depends: libdebconf-kde1 (= ${binary:Version}), ${misc:Depends}
+Depends: libdebconf-kde1 (= ${binary:Version}),
+         libkf5coreaddons-dev,
+         libkf5i18n-dev,
+         libkf5iconthemes-dev,
+         libkf5textwidgets-dev,
+         libkf5widgetsaddons-dev,
+         qtbase5-dev (>= 5.2.0),
+         ${misc:Depends}
 Description: Development headers for the Debconf KDE library
  Debconf KDE is a GUI library for including Debconf frontends in Qt-based
  applications.
@@ -64,9 +74,10 @@
 
 Package: debconf-kde-data
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
-Breaks: libdebconf-kde0 (<< 1.0.0)
-Replaces: libdebconf-kde0 (<< 1.0.0)
+Breaks: libdebconf-kde0 (<= 0.3-1)
+Replaces: libdebconf-kde0 (<= 0.3-1)
 Description: Debconf KDE data files
  Debconf KDE is a GUI library for including Debconf frontends in Qt-based
  applications.
@@ -79,8 +90,8 @@
 
 Package: debconf-kde-dbg
 Section: debug
+Priority: extra
 Architecture: any
-Priority: extra
 Multi-Arch: foreign
 Depends: libdebconf-kde1 (= ${binary:Version}), ${misc:Depends}
 Conflicts: libdebconf-kde-dbg

=== debian/watch ===
version=3
http://download.kde.org/stable/libdebconf-kde/([\d.]+)/src/libdebconf-kde-([\d.]+)\.tar\.xz

## debconf-kde 1.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,14 @@
-project(libdebconf-kde)
+cmake_minimum_required(VERSION 3.1)
+cmake_policy(SET CMP0048 NEW)
 
-set(PROJECT_VERSION_MAJOR 1)
-set(PROJECT_VERSION_MINOR 0)
-set(PROJECT_VERSION_PATCH 2)
-set(PROJECT_VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}" )
+if (POLICY CMP0043)
+  cmake_policy(SET CMP0043 NEW)
+endif()
+if (POLICY CMP0063)
+  cmake_policy(SET CMP0063 NEW)
+endif()
 
-cmake_minimum_required(VERSION 2.8.12)
+project(libdebconf-kde VERSION 1.1.0)
 
 find_package(ECM 0.0.14 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH
@@ -50,8 +53,16 @@
 )
 
 add_definitions(-DPROJECT_VERSION=\"${PROJECT_VERSION}\")
-add_definitions(-DQT_NO_CAST_FROM_ASCII)
-add_definitions(-DQT_NO_CAST_TO_ASCII)
+add_definitions(
+    -DQT_NO_KEYWORDS
+    -DQT_NO_CAST_TO_ASCII
+    -DQT_NO_CAST_FROM_ASCII
+    -DQT_STRICT_ITERATORS
+    -DQT_NO_URL_CAST_FROM_STRING
+    -DQT_NO_CAST_FROM_BYTEARRAY
+    -DQT_USE_QSTRINGBUILDER
+    -DQT_DISABLE_DEPRECATED_BEFORE=0x050900
+)
 
 include_directories(
     ${CMAKE_CURRENT_SOURCE_DIR}/src

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -43,7 +43,7 @@
 
 set_target_properties(debconf-kde
     PROPERTIES
-        VERSION ${DEBCONF_VERSION_STRING}
+        VERSION ${PROJECT_VERSION}
         SOVERSION ${DEBCONF_SOVERSION}
         EXPORT_NAME Main)

=== debian/changelog ===
debconf-kde (1.0.3-0ubuntu1) bionic; urgency=medium

  * New upstream maintenance release (1.0.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 12 Apr 2018 09:38:42 +0100

debconf-kde (1.0.2-1) unstable; urgency=medium

  * Test against gcc5.
  * New upstream release (1.0.2).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 26 Sep 2015 08:13:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: debconf-kde
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Matthias Klumpp <mak@debian.org>,
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
@@ -41,11 +41,6 @@
 Section: libdevel
 Architecture: any
 Depends: libdebconf-kde1 (= ${binary:Version}),
-         libkf5coreaddons-dev,
-         libkf5i18n-dev,
-         libkf5iconthemes-dev,
-         libkf5textwidgets-dev,
-         libkf5widgetsaddons-dev,
          qtbase5-dev (>= 5.2.0),
          ${misc:Depends}
 Description: Development headers for the Debconf KDE library

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

#export DH_VERBOSE=1

%:
	dh $@ --parallel --with kf5 --with pkgkde_symbolshelper --dbg-package=debconf-kde-dbg

override_dh_install:
	dh_install --list-missing

## debconf-kde 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1)
+cmake_minimum_required(VERSION 3.16)
 cmake_policy(SET CMP0048 NEW)
 
 if (POLICY CMP0043)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -33,6 +33,7 @@
         Qt5::Widgets
     PRIVATE
         Qt5::Network
+        KF5::CoreAddons
         KF5::I18n
         KF5::IconThemes
         KF5::TextWidgets

=== tools/CMakeLists.txt ===
add_executable(debconf-kde-helper main.cpp)
target_link_libraries(debconf-kde-helper
    KF5::CoreAddons
    KF5::I18n
    DebconfKDE::Main
)

install(TARGETS debconf-kde-helper ${INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
debconf-kde (1.1.0-1ubuntu3) plucky; urgency=medium

  * Correctly use CMake variables when setting the cmake install directory.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 17 Oct 2024 13:17:46 -0500

debconf-kde (1.1.0-1ubuntu2) plucky; urgency=medium

  * Fix runtime dependencies for -dev package.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 17 Oct 2024 12:11:57 -0500

debconf-kde (1.1.0-1ubuntu1) plucky; urgency=medium

  * Port to Qt 6.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 16 Oct 2024 18:23:45 -0500

debconf-kde (1.1.0-1) unstable; urgency=medium

  * New upstream version: 1.1.0
    - Various maintenance and build fixes
    - Display texts in the right place for notes and errors (Closes: #971242)
    - Respect the default setting for boolean inputs (Closes: #971241)
    - Remove some warnings and unneeded debug infos that messed with
      the console output of pkcon
  * Bump standards version (no changes needed)

 -- Matthias Klumpp <mak@debian.org>  Thu, 17 Feb 2022 22:14:18 +0100

debconf-kde (1.0.3-4) unstable; urgency=medium

  * Team upload.
  * Add the configuration for the CI on salsa.
  * Drop the Debian man page, as it is outdated.
  * Remove the unused 'testsuite' autopkgtest.
  * Explicitly add the gettext build dependency.
  * Update the dependencies of libdebconf-kde-dev to what the cmake config file
    requires: (Closes: #962567)
    - add libkf5coreaddons-dev, libkf5i18n-dev, libkf5iconthemes-dev,
      libkf5textwidgets-dev, and libkf5widgetsaddons-dev
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Remove breaks/replaces for versions older than what is in oldstable.

 -- Pino Toscano <pino@debian.org>  Sat, 08 Aug 2020 20:23:55 +0200

debconf-kde (1.0.3-3) unstable; urgency=medium

  * Team upload.
  * Fix Salsa group in Vcs-* URLs.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 13 Feb 2020 07:40:20 +0100

debconf-kde (1.0.3-2) unstable; urgency=medium

  * Team upload.
  * Use correct machine-readable copyright file URI.
  * Use secure URI in Homepage field.
  * Switch to debhelper-compat Build-Depends, bump compat level to 12.
  * Add Build-Depends-Package: libdebconf-kde-dev in symbols file.
  * Bump Standards-Version to 4.5.0:
    - Add Rules-Requires-Root: no.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 11 Feb 2020 16:09:58 +0100

debconf-kde (1.0.3-1) unstable; urgency=medium

  * New upstream release (1.0.3).
  * Update copyright information
  * Bump debhelper build-dep and compat to 11
  * Update debian/rules.
     + Use --as-needed ld option
     + Drop deprecated option --list-missing
     + Migrate to autogenerated dbgsym symbols package
  * Update watch file.
     + Use https
     + Check the signature file
  * Add upstream signature
  * Drop obsolete XS-Testsuite field
  * Update Vcs fields
  * Bump to Standards-Version 4.1.4
  * Update build-deps and deps with the info from cmake
  * Ignore dh_acc stderr
  * Use hardening options
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 12 Apr 2018 16:30:57 +0200

=== debian/control ===
Source: debconf-kde
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Matthias Klumpp <mak@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.1~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 6.0.0),
               gettext,
               libkf6coreaddons-dev,
               libkf6i18n-dev,
               libkf6iconthemes-dev,
               libkf6textwidgets-dev,
               libkf6widgetsaddons-dev,
               pkg-kde-tools,
               qt6-base-dev,
Standards-Version: 4.6.0
Homepage: https://projects.kde.org/projects/extragear/sysadmin/libdebconf-kde
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/debconf-kde.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/debconf-kde
Rules-Requires-Root: no

Package: debconf-kde-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Debconf KDE data files
 Debconf KDE is a GUI library for including Debconf frontends in Qt-based
 applications.
 Debconf is a configuration management system for Debian packages, which
 is used to ask questions when they are installed.
 This library is written in C++ and used by Apper and Muon to
 embed Debconf dialogs.
 .
 This package contains the data files needed by the Debconf KDE library

Package: debconf-kde-helper
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Debconf KDE GUI frontend tool
 Debconf KDE is a GUI library for including Debconf frontends in Qt-based
 applications.
 Debconf is a configuration management system for Debian packages, which
 is used to ask questions when they are installed.
 This library is written in C++ and used by Apper and Muon to
 embed Debconf dialogs.
 .
 This package contains a small standalone tool to display a KDE Debconf
 dialog without linking against the Debconf KDE library.

Package: libdebconf-kde-dev
Section: libdevel
Architecture: any
Depends: libdebconf-kde1 (= ${binary:Version}),
         libkf6coreaddons-dev,
         libkf6i18n-dev,
         libkf6iconthemes-dev,
         libkf6textwidgets-dev,
         libkf6widgetsaddons-dev,
         qt6-base-dev,
         ${misc:Depends},
Description: Development headers for the Debconf KDE library
 Debconf KDE is a GUI library for including Debconf frontends in Qt-based
 applications.
 Debconf is a configuration management system for Debian packages, which
 is used to ask questions when they are installed.
 This library is written in C++ and used by Apper and Muon to
 embed Debconf dialogs.
 .
 This package contains the development headers for the Debconf KDE library

Package: libdebconf-kde1
Section: libs
Architecture: any
Multi-Arch: same
Depends: debconf-kde-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Debconf KDE GUI library
 Debconf KDE is a GUI library for including Debconf frontends in Qt-based
 applications.
 Debconf is a configuration management system for Debian packages, which
 is used to ask questions when they are installed.
 This library is written in C++ and used by Apper and Muon to
 embed Debconf dialogs.
 .
 This package contains the Debconf KDE library

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS := hardening=+all

%:
	dh $@ --with kf6,pkgkde_symbolshelper

## debconf-kde 1.1.0+p24.04+vrelease+git20251029.1122

=== debian/changelog ===
debconf-kde (1.1.0+p24.04+vrelease+git20251029.1122-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 11:22:56 +0000

debconf-kde (1.1.0-2neon0) unstable; urgency=medium

  * bump the build number to beat upstream til the next release

 -- Matthias Klumpp <mak@debian.org>  Thu, 17 Feb 2022 22:14:18 +0100
 

## debconf-kde 1.1.0+p24.04+vstable+git20251021.1040

=== debian/changelog ===
debconf-kde (1.1.0+p24.04+vstable+git20251021.1040-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 10:40:52 +0000

## debconf-kde 1.1.0+p24.04+vstable+git20251029.0937

=== debian/changelog ===
debconf-kde (1.1.0+p24.04+vstable+git20251029.0937-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 09:37:05 +0000

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,25 @@
 Source: debconf-kde
 Section: kde
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Matthias Klumpp <mak@debian.org>,
-           Maximiliano Curia <maxy@debian.org>,
-Build-Depends: cmake (>= 3.1~),
+           Maximiliano Curia <maxy@debian.org>
+Build-Depends: cmake,
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 6.0.0),
                gettext,
-               libkf6coreaddons-dev,
-               libkf6i18n-dev,
-               libkf6iconthemes-dev,
-               libkf6textwidgets-dev,
-               libkf6widgetsaddons-dev,
-               pkg-kde-tools,
-               qt6-base-dev,
-Standards-Version: 4.6.0
+               kf6-extra-cmake-modules,
+               kf6-kcoreaddons-dev,
+               kf6-ki18n-dev,
+               kf6-kiconthemes-dev,
+               kf6-ktextwidgets-dev,
+               kf6-kwidgetsaddons-dev,
+               pkg-kde-tools-neon,
+               qt6-base-dev
+Standards-Version: 4.6.2
 Homepage: https://projects.kde.org/projects/extragear/sysadmin/libdebconf-kde
-Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/debconf-kde.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/debconf-kde
 Rules-Requires-Root: no
+Vcs-Git: https://invent.kde.org/neon/neon-packaging/debconf-kde.git
+Vcs-Browser: https://invent.kde.org/neon/neon-packaging/debconf-kde
+Maintainer: Neon CI <neon@kde.org>
 
 Package: debconf-kde-data
 Architecture: all
@@ -53,14 +52,14 @@
 Package: libdebconf-kde-dev
 Section: libdevel
 Architecture: any
-Depends: libdebconf-kde1 (= ${binary:Version}),
-         libkf6coreaddons-dev,
-         libkf6i18n-dev,
-         libkf6iconthemes-dev,
-         libkf6textwidgets-dev,
-         libkf6widgetsaddons-dev,
+Depends: kf6-kcoreaddons-dev,
+         kf6-ki18n-dev,
+         kf6-kiconthemes-dev,
+         kf6-ktextwidgets-dev,
+         kf6-kwidgetsaddons-dev,
+         libdebconf-kde1 (= ${binary:Version}),
          qt6-base-dev,
-         ${misc:Depends},
+         ${misc:Depends}
 Description: Development headers for the Debconf KDE library
  Debconf KDE is a GUI library for including Debconf frontends in Qt-based
  applications.
@@ -77,7 +76,7 @@
 Multi-Arch: same
 Depends: debconf-kde-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Description: Debconf KDE GUI library
  Debconf KDE is a GUI library for including Debconf frontends in Qt-based
  applications.
